Name:           speexdsp
Version:        1.2.0
Release:        1%{?dist}
Summary:        A voice compression format (DSP)
 
License:        BSD
URL:            http://www.speex.org/
Source0:        https://gitlab.xiph.org/xiph/%{name}/-/archive/SpeexDSP-%{version}/%{name}-SpeexDSP-%{version}.tar.gz
 
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

# speexdsp was split from speex in 1.2rc2. As speexdsp does not depend on
# speex, a versioned conflict is required.
Conflicts: speex <= 1.2-0.21.rc1
 
%description
Speex is a patent-free compression format designed especially for
speech. It is specialized for voice communications at low bit-rates in
the 2-45 kbps range. Possible applications include Voice over IP
(VoIP), Internet audio streaming, audio books, and archiving of speech
data (e.g. voice mail).
 
This is the DSP package, see the speex package for the codec part.
 
%package devel
Summary: 	Development package for %{name}
Requires: 	%{name}%{?_isa} = %{version}-%{release}
# speexdsp was split from speex in 1.2rc2. As speexdsp does not depend on
# speex, a versioned conflict is required.
Conflicts: speex-devel <= 1.2-0.21.rc1
 
%description devel
Speex is a patent-free compression format designed especially for
speech. This package contains development files for %{name}
 
This is the DSP package, see the speex package for the codec part.
 
 
%prep
%autosetup -p1
 
%build
./autogen.sh
%configure \
%ifarch aarch64
	--disable-neon \
%endif
	--disable-static
 
%make_build
%install
%make_install
# Remove libtool archives
find %{buildroot} -type f -name "*.la" -delete
 
%ldconfig_scriptlets
 
%files
%doc AUTHORS COPYING TODO ChangeLog README NEWS doc/manual.pdf
%doc %{_docdir}/speexdsp/manual.pdf
%{_libdir}/libspeexdsp.so.*
 
%files devel
%{_includedir}/speex
%{_libdir}/pkgconfig/speexdsp.pc
%{_libdir}/libspeexdsp.so
 
%changelog
* Tue May 10 2022 gaochang <taifu.gc@alibaba-inc.com> - 1.2.0-1
- Init from upstream version 1.2.0
